## r-cran-bench 1.1.1

=== DESCRIPTION ===
Package: bench
Title: High Precision Timing of R Expressions
Version: 1.1.1
Authors@R: c(
    person("Jim", "Hester", email = "james.f.hester@gmail.com", role = c("aut", "cre")),
    person("Drew", "Schmidt", role = "ctb", comment = "read_proc_file implementation")
  )
Description: Tools to accurately benchmark and analyze execution times for R expressions.
License: GPL-3
URL: https://github.com/r-lib/bench
BugReports: https://github.com/r-lib/bench/issues
Depends: R (>= 3.1)
Imports: glue, methods, pillar, profmem, rlang (>= 0.2.0), stats,
        tibble, utils
Suggests: covr, dplyr, forcats, ggbeeswarm, ggplot2, ggridges, mockery,
        parallel, scales, testthat, tidyr (>= 0.8.1), vctrs, withr
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.0.2
NeedsCompilation: yes
Packaged: 2020-01-13 22:17:35 UTC; jhester
Author: Jim Hester [aut, cre],
  Drew Schmidt [ctb] (read_proc_file implementation)
Maintainer: Jim Hester <james.f.hester@gmail.com>
Repository: CRAN
Date/Publication: 2020-01-13 23:10:06 UTC

=== debian/changelog ===
r-cran-bench (1.1.1-1) unstable; urgency=medium

  * Initial release (closes: #975629)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 24 Nov 2020 10:37:09 +0100

=== debian/control ===
Source: r-cran-bench
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-glue,
               r-cran-pillar,
               r-cran-rlang,
               r-cran-tibble,
               r-cran-profmem
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bench
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bench.git
Homepage: https://cran.r-project.org/package=bench
Rules-Requires-Root: no

Package: r-cran-bench
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: High Precision Timing of R Expressions
 Tools to accurately benchmark and analyze execution times for R expressions.

## r-cran-bench 1.1.2

=== DESCRIPTION ===
Package: bench
Title: High Precision Timing of R Expressions
Version: 1.1.2
Authors@R: c(
    person("Jim", "Hester", role = "aut"),
    person("Davis", "Vaughan", , "davis@rstudio.com", role = c("aut", "cre")),
    person("Drew", "Schmidt", role = "ctb",
           comment = "read_proc_file implementation")
  )
Description: Tools to accurately benchmark and analyze execution times for
    R expressions.
License: MIT + file LICENSE
URL: https://bench.r-lib.org/, https://github.com/r-lib/bench
BugReports: https://github.com/r-lib/bench/issues
Depends: R (>= 3.1)
Imports: glue, methods, pillar, profmem, rlang (>= 0.2.0), stats,
        tibble (>= 3.0.1), utils
Suggests: covr, dplyr, forcats, ggbeeswarm, ggplot2, ggridges,
        jsonlite, mockery, parallel, scales, testthat, tidyr (>=
        0.8.1), vctrs, withr
Encoding: UTF-8
RoxygenNote: 7.1.2
NeedsCompilation: yes
Packaged: 2021-11-29 16:12:02 UTC; jhester
Author: Jim Hester [aut],
  Davis Vaughan [aut, cre],
  Drew Schmidt [ctb] (read_proc_file implementation)
Maintainer: Davis Vaughan <davis@rstudio.com>
Repository: CRAN
Date/Publication: 2021-11-30 07:50:13 UTC

=== debian/changelog ===
r-cran-bench (1.1.2-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.1.2
  * d/control: Run dh-update-R

 -- Nilesh Patra <nilesh@debian.org>  Mon, 06 Dec 2021 01:38:27 +0530

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                r-base-dev,
                r-cran-glue,
                r-cran-pillar,
+               r-cran-profmem,
                r-cran-rlang,
-               r-cran-tibble,
-               r-cran-profmem
-Standards-Version: 4.5.1
+               r-cran-tibble (>= 3.0.1)
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bench
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bench.git
 Homepage: https://cran.r-project.org/package=bench

## r-cran-bench 1.1.3

=== DESCRIPTION ===
Package: bench
Title: High Precision Timing of R Expressions
Version: 1.1.3
Authors@R: c(
    person("Jim", "Hester", role = "aut"),
    person("Davis", "Vaughan", , "davis@posit.co", role = c("aut", "cre")),
    person("Drew", "Schmidt", role = "ctb",
           comment = "read_proc_file implementation"),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Tools to accurately benchmark and analyze execution times for
    R expressions.
License: MIT + file LICENSE
URL: https://bench.r-lib.org/, https://github.com/r-lib/bench
BugReports: https://github.com/r-lib/bench/issues
Depends: R (>= 3.5.0)
Imports: glue (>= 1.6.2), methods, pillar (>= 1.9.0), profmem (>=
        0.6.0), rlang (>= 0.2.0), stats, tibble (>= 3.2.1), utils
Suggests: covr, dplyr, forcats, ggbeeswarm, ggplot2, ggridges,
        parallel, scales, testthat (>= 3.1.8), tidyr (>= 0.8.1), vctrs,
        withr
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.2.3
NeedsCompilation: yes
Packaged: 2023-05-04 13:38:24 UTC; davis
Author: Jim Hester [aut],
  Davis Vaughan [aut, cre],
  Drew Schmidt [ctb] (read_proc_file implementation),
  Posit Software, PBC [cph, fnd]
Maintainer: Davis Vaughan <davis@posit.co>
Repository: CRAN
Date/Publication: 2023-05-04 16:50:02 UTC

=== debian/changelog ===
r-cran-bench (1.1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 21 Jun 2023 09:24:57 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Michael R. Crusoe <crusoe@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-glue,
-               r-cran-pillar,
+               r-cran-glue (>= 1.6.2),
+               r-cran-pillar (>= 1.9.0),
                r-cran-profmem,
                r-cran-rlang,
-               r-cran-tibble (>= 3.0.1)
-Standards-Version: 4.6.0
+               r-cran-tibble (>= 3.2.1)
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bench
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bench.git
 Homepage: https://cran.r-project.org/package=bench

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-mockery, r-cran-tidyr
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/bench_([-\d.]*)\.tar\.gz

## r-cran-bench 1.1.4

=== DESCRIPTION ===
Package: bench
Title: High Precision Timing of R Expressions
Version: 1.1.4
Authors@R: c(
    person("Jim", "Hester", role = "aut"),
    person("Davis", "Vaughan", , "davis@posit.co", role = c("aut", "cre")),
    person("Drew", "Schmidt", role = "ctb",
           comment = "read_proc_file implementation"),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Tools to accurately benchmark and analyze execution times for
    R expressions.
License: MIT + file LICENSE
URL: https://bench.r-lib.org/, https://github.com/r-lib/bench
BugReports: https://github.com/r-lib/bench/issues
Depends: R (>= 4.0.0)
Imports: glue (>= 1.8.0), methods, pillar (>= 1.10.1), profmem (>=
        0.6.0), rlang (>= 1.1.4), stats, tibble (>= 3.2.1), utils
Suggests: covr, dplyr, forcats, ggbeeswarm, ggplot2 (>= 3.5.1),
        ggridges, parallel, scales, testthat (>= 3.2.3), tidyr (>=
        1.3.1), vctrs (>= 0.6.5), withr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Config/usethis/last-upkeep: 2025-01-16
Encoding: UTF-8
RoxygenNote: 7.3.2
NeedsCompilation: yes
Packaged: 2025-01-16 22:07:42 UTC; davis
Author: Jim Hester [aut],
  Davis Vaughan [aut, cre],
  Drew Schmidt [ctb] (read_proc_file implementation),
  Posit Software, PBC [cph, fnd]
Maintainer: Davis Vaughan <davis@posit.co>
Repository: CRAN
Date/Publication: 2025-01-16 22:40:07 UTC

=== debian/changelog ===
r-cran-bench (1.1.4-2) unstable; urgency=medium

  * Team upload.
  * Packaging update
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * Reflect relicensing in version 1.1.2

 -- Charles Plessy <plessy@debian.org>  Fri, 27 Feb 2026 17:34:15 +0900

r-cran-bench (1.1.4-1) unstable; urgency=medium

  * Team upload

  [ Michael R. Crusoe ]
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 27 Feb 2025 09:23:10 +0900

=== debian/control ===
Source: r-cran-bench
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Michael R. Crusoe <crusoe@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-glue (>= 1.8.0),
 r-cran-pillar (>= 1.10.1),
 r-cran-profmem,
 r-cran-rlang (>= 1.1.4),
 r-cran-tibble (>= 3.2.1),
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bench
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bench.git
Homepage: https://cran.r-project.org/package=bench
Rules-Requires-Root: no

Package: r-cran-bench
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: High Precision Timing of R Expressions
 Tools to accurately benchmark and analyze execution times for R expressions.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-covr,
 r-cran-dplyr,
 r-cran-forcats,
 r-cran-ggbeeswarm,
 r-cran-ggplot2 (>= 3.5.1),
 r-cran-ggridges,
 r-cran-scales,
 r-cran-testthat (>= 3.2.3),
 r-cran-tidyr (>= 1.3.1),
 r-cran-vctrs (>= 0.6.5),
 r-cran-withr,
